Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.types
Class ToDoWorkType

    java.lang.Object
      com.tibco.bpm.web.client.model.types.ToDoWorkType

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable

    public class ToDoWorkType

extends java.lang.Object
implements com.google.gwt.user.client.rpc.IsSerializable

Work Type details for a ToDo List Item.

©2011 TIBCO Software Inc.

Since:
  1.2.0

Constructor Summary
`ToDoWorkType()`
`ToDoWorkType(java.lang.String aID, java.lang.String aVersion, boolean aIsPiled, int aPilingLimit)`

Method Summary
`java.lang.String` | `getiD()` ID of the Work Type.
`int` | `getPilingLimit()` The piling limit for the work type.
`java.lang.String` | `getVersion()` Version of the Work Type.
`boolean` | `isPiled()` Indicates if the work type is piled.
`void` | `setiD(java.lang.String iD)` ID of the Work Type.
`void` | `setPiled(boolean isPiled)` Indicates if the work type is piled.
`void` | `setPilingLimit(int pilingLimit)` The piling limit for the work type.
`void` | `setVersion(java.lang.String version)` Version of the Work Type.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ToDoWorkType

    public ToDoWorkType()

### ToDoWorkType

    public ToDoWorkType(java.lang.String aID,
                        java.lang.String aVersion,
                        boolean aIsPiled,
                        int aPilingLimit)

Method Detail

### getiD

    public java.lang.String getiD()

  ID of the Work Type.

  Returns:
    Returns the iD.

### setiD

    public void setiD(java.lang.String iD)

  ID of the Work Type.

  Parameters:
    `iD` - The iD to set.

### getVersion

    public java.lang.String getVersion()

  Version of the Work Type.

  Returns:
    Returns the version.

### setVersion

    public void setVersion(java.lang.String version)

  Version of the Work Type.

  Parameters:
    `version` - The version to set.

### isPiled

    public boolean isPiled()

  Indicates if the work type is piled.

  Returns:
    Returns the isPiled.

### setPiled

    public void setPiled(boolean isPiled)

  Indicates if the work type is piled.

  Parameters:
    `isPiled` - The isPiled to set.

### getPilingLimit

    public int getPilingLimit()

  The piling limit for the work type.

  Returns:
    Returns the pilingLimit.

### setPilingLimit

    public void setPilingLimit(int pilingLimit)

  The piling limit for the work type.

  Parameters:
    `pilingLimit` - The pilingLimit to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.